package main

import (
	"fmt"
	"strings"

	"cpl.li/go/markov"
)

func main() {
	var (
		maxWords int = 100
		pairSize int = 2
	)

	c := markov.NewChain(pairSize)

	c.Add(
		strings.Fields(
			string(
				"West's legal representative has now called those accusations baseless and accused Pisciotta of engaging in blackmail and extortion after the star rejected her sexual advances. In response to these baseless allegations, Ye will be filing a lawsuit against Ms. Pisciotta, they added, using the rapper's current preferred name. Pisciotta is believed to have worked for West from 2021 to 2022, initially on his fashion line before becoming his personal assistant on a salary of $1m (£780,000) per year. She has alleged that, during her employment, the star bombarded her with explicit text, some of which included pornographic videos. Pisciotta also claimed that he masturbated while talking to her on the phone and that, on one occasion, pleasured himself in front of her after \"trapping\" her in a private room on his plane. In her lawsuit, the former OnlyFans model said she was abruptly fired in 2022, and never received her promised severance package. West's lawyer challenged the story, saying that Pisciotta \"was terminated for being unqualified\" and \"demanding unreasonable sums of money\", including an annual salary of $4m (£3.13m). They also accused Pisciotta of \"lascivious, unhinged conduct\", claiming that she \"consistently used sexual coercion\" to demand money and material items, including designer handbags and a Lamborghini car. The statement further alleged that, after West rejected her advances, Pisciotta attempted to blackmail him for $60m (£47m). The BBC contacted Ms Pisciotta to request a response, but she did not immediately respond. On Tuesday, she posted a message to her Instagram story that read: \"Your soul becomes aligned with freedom when you allow others the liberty to dislike you, judge you and disagree with you.",
			),
		),
	)

	b := c.NewBuilder(nil)

	b.Generate(maxWords - pairSize)
	fmt.Printf("Generated: %s\n", b.String())
}
